//
// Parago Media GmbH & Co. KG, Jrgen Burle (jbaurle@parago.de)
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

using System;
using System.Text;
using System.Web;
using System.Web.Caching;
using System.Web.UI;

namespace Parago.Web {

	/// <summary>
	/// The BasePage class exposes base functionality for web forms.
	/// </summary>
	public class BasePage : Page {

		CachePageStatePersister cachePageStatePersister;

		/// <summary>
		/// Initializes a new instance of the BasePage class.
		/// </summary>
		public BasePage()
			: base() {
			cachePageStatePersister=new CachePageStatePersister(this);
		}

		/// <summary>
		/// Gets the PageStatePersister of type CachePageStatePersister.
		/// </summary>
		protected override PageStatePersister PageStatePersister {
			get {
				return cachePageStatePersister;
			}
		}

	}

}
